Package it.ernytech.tdlib

## Class TdApi.ParseTextEntities

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ParseTextEntities

Enclosing class:
  TdApi

    public static class TdApi.ParseTextEntities
    extends TdApi.Function

Parses Bold, Italic, Code, Pre, PreCode and TextUrl entities contained in the text. This is an offline method. Can be called before authorization. Can be called synchronously.

Returns `FormattedText`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.TextParseMode` `parseMode` Text parse mode.
`java.lang.String` `text` The text which should be parsed.

### Constructor Summary

Constructors
`ParseTextEntities()` Default constructor.
`ParseTextEntities​(java.lang.String text, TdApi.TextParseMode parseMode)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### text

    public java.lang.String text

The text which should be parsed.

#### parseMode

    public TdApi.TextParseMode parseMode

Text parse mode.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ParseTextEntities

    public ParseTextEntities()

Default constructor.

#### ParseTextEntities

    public ParseTextEntities​(java.lang.String text,
                             TdApi.TextParseMode parseMode)

Constructor for initialization of all fields.

Parameters:
  `text` - The text which should be parsed.
  `parseMode` - Text parse mode.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR